XMonad.Prompt

# Usage

mkXPrompt
mkXPromptWithReturn
defaultXPConfig
data XPType
data XPPosition
data XPConfig
class XPrompt t
type ComplFunction

# X Utilities

mkUnmanagedWindow
fillDrawable

# Other Utilities

mkComplFunFromList
mkComplFunFromList'

# `nextCompletion` implementations

getNextOfLastWord
getNextCompletion

# List utilities

getLastWord
skipLastWord
splitInSubListsAt
breakAtSpace
uniqSort
decodeInput
encodeOutput
historyCompletion